
;chicken-install invokes as "<csi> -s run.scm <eggnam> <eggdir>"

(define (egg-name def)
  (let ((args (argv)))
    (if (<= 4 (length args))
      (cadddr args)
      def ) ) )

(define *egg-name* (egg-name "string-utils"))

(define (test-name #!optional (ext ""))
  (string-append *egg-name* "-test" ext) )

(print "*** csi ***")
(system (string-append "csi -s " (test-name ".scm")))

;no -disable-interrupts
(define *csc-options* "-inline-global -scrutinize -optimize-leaf-routines -local -inline -specialize -unsafe -no-trace -no-lambda-info -clustering -lfa2")
(print "*** csc (" *csc-options* ") ***")
(system (string-append "csc" " " *csc-options* " " (test-name ".scm")))
(system (string-append "./" (test-name)))
